import { mapGetters, mapActions } from 'vuex';
import store from './store';

export default {
  props: {
    // null所有/1自助/2三方
    ServiceType: {
      type: Number,
      default: null,
    },
  },
  created() {
    store.install(this.$store);
    if (!this.serviceTypeLists[this.ServiceType].length) {
      this.fetchServiceTypeList(this.ServiceType);
    }
  },
  computed: {
    ...mapGetters('serviceTypeOption', ['serviceTypeLists']),
  },
  methods: {
    ...mapActions('serviceTypeOption', ['fetchServiceTypeList']),
    getServiceTypeName(id) {
      let item = this.serviceTypeLists[this.ServiceType].find(
        ServiceType => ServiceType.id === id
      );

      return item ? item.serviceName : '';
    },
  },
};
